summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_local-packageslists
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_chroot_local-packageslists')
-rwxr-xr-xhelpers/lh_chroot_local-packageslists79
1 files changed, 79 insertions, 0 deletions
diff --git a/helpers/lh_chroot_local-packageslists b/helpers/lh_chroot_local-packageslists
new file mode 100755
index 0000000..f358fca
--- /dev/null
+++ b/helpers/lh_chroot_local-packageslists
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# lh_chroot_local-packageslists(1) - install local packages lists into chroot
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="install local packages into chroot"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "chroot_local-packageslists: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_local-packageslists
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if ls config/chroot_local-packageslists/* &> /dev/null
+then
+ # Restoring cache
+ Restore_cache cache/packages_local-packageslists
+
+ for PACKAGESLIST in config/chroot_local-packageslists/*
+ do
+ # Copying package list
+ grep -v "^#" "${PACKAGESLIST}" > chroot/root/"`basename ${PACKAGESLIST}`"
+
+ # Installing package list
+ case "${LH_APT}" in
+ apt|apt-get)
+ Chroot "xargs --arg-file=/root/`basename ${PACKAGESLIST}` apt-get install --yes"
+ ;;
+
+ aptitude)
+ Chroot "xargs --arg-file=/root/`basename ${PACKAGESLIST}` aptitude install --assume-yes"
+ ;;
+ esac
+
+ # Removing package list
+ rm -f chroot/root/"`basename ${PACKAGESLIST}`"
+ done
+
+ # Saving cache
+ Save_cache cache/packages_local-packageslists
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_local-packageslists
+fi